com.threerings.parlor.data

## Class ChoiceParameter

- java.lang.Object
- - com.threerings.parlor.data.Parameter
  - - com.threerings.parlor.data.ChoiceParameter

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class ChoiceParameter
    extends Parameter

Models a parameter that allows the selection of one of a list of choices (specified as strings).

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`String[]` `choices` The set of choices available for this parameter.
`String` `start` The starting selection.

### Fields inherited from class com.threerings.parlor.data.Parameter

`ident, name, tip`

### Constructor Summary

Constructors
Constructor and Description
`ChoiceParameter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getChoiceLabel(int index)` Returns the translation key for the specified choice.
`Object` `getDefaultValue()` Returns the default value of this parameter.
`String` `getLabel()` Returns the translation key for this parameter's label.

### Methods inherited from class com.threerings.parlor.data.Parameter

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### choices

    public String[] choices

The set of choices available for this parameter.

#### start

    public String start

The starting selection.

### Constructor Detail

#### ChoiceParameter

    public ChoiceParameter()

### Method Detail

#### getChoiceLabel

    public String getChoiceLabel(int index)

Returns the translation key for the specified choice.

#### getLabel

    public String getLabel()

Description copied from class: `Parameter`
Returns the translation key for this parameter's label.

Specified by:
  `getLabel` in class `Parameter`

#### getDefaultValue

    public Object getDefaultValue()

Description copied from class: `Parameter`
Returns the default value of this parameter.

Specified by:
  `getDefaultValue` in class `Parameter`